[Overview][Types][Classes][Index] | Reference for unit 'ZStream' (#fcl)

# Tdecompressionstream.OnProgress

Progress handler

## Declaration

Source position: zstream.pp line 85

`public property Tdecompressionstream.OnProgress : Tnotifyevent;`

## Description

OnProgress is called whenever input data is read from the source stream. It can be used to update a progress bar or so. The Sender argument to the progress handler is the decompression stream instance.